
/*general*/
:root{
    --bs-primary: #175553;
    --bs-primary-rgb: 23, 85, 83;
    --bs-light-theme-second-color:#b07e50;
    --bs-light-theme-second-color-hover:#c28d5c;
    --bs-link-hover-color: #286b69;
}
.top-5p {
    top: 5px !important;
  }
  .start-5p{

  }
  html:not([dir=rtl]) .start-5p {
    left: 5px !important;
  }
  html[dir=rtl] .start-5p {
    right: 5px !important;
  }
  html:not([dir=rtl]) .end-5p {
    right: 5px !important;
  }
  html[dir=rtl] .end-5p {
    left: 5px !important;
  }
  .fs-14px{
    font-size: 14px !important;
  }
  .text-label-secondary {
    color: var(--bs-light-theme-second-color-hover) !important;
  }
  .text-custom-color{
    color:var(--bs-primary);
  }
  .flex-basis-60{
    flex-basis: 60% !important;
  }
  .w-200px{
    width: 200px;
  }
  .h-300px{
    max-height: 300px;
    overflow: auto;
  }
  .object-fit-contain{
    object-fit: contain;
  }
  /* .row{
      margin-left: 0 !important;
      margin-right: 0 !important;
  } */
  .app-brand-link {
      width: 135px;
  }

  .app-brand-link img {
      width: 100%;
  }

  .bg-svg1,
  .bg-svg2{
      position: absolute;
      width: 100%;
      height: 70%;
      background-size: contain !important;
      opacity: 0.05;
      top: 20%;
  }
  .bg-svg1{
       background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="icon icon-tabler icons-tabler-outline icon-tabler-chart-histogram"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M3 3v18h18" /><path d="M20 18v3" /><path d="M16 16v5" /><path d="M12 13v8" /><path d="M8 16v5" /><path d="M3 11c6 0 5 -5 9 -5s3 5 9 5" /></svg>')
      no-repeat center center;
  }
  .bg-svg2{
       background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="icon icon-tabler icons-tabler-outline icon-tabler-world"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M3 12a9 9 0 1 0 18 0a9 9 0 0 0 -18 0" /><path d="M3.6 9h16.8" /><path d="M3.6 15h16.8" /><path d="M11.5 3a17 17 0 0 0 0 18" /><path d="M12.5 3a17 17 0 0 1 0 18" /></svg>')
      no-repeat center center;
  }
  .select2-results__option{
      text-wrap: nowrap;
  }
  /* .select2{
      min-width: 200px;
  } */
  .custom_nav_pills.nav-pills .nav-link{
      padding: 10px 5px;
  }
  .form-control[type="color"]{
      min-height: 38px;
  }
  span.form-control:disabled, span.form-control[readonly]{
      background-color: #f6f6ff;
      min-height: 38px;
      max-height: 100px;
      overflow: auto;
  }
  .textarea-span {
      min-height: 150px !important;
      overflow: auto;
      max-height: 300px;
  }
  .stick-top{
      position: sticky !important;
      bottom: 0;
      top: 100px;
  }
  /* .card{
      height: 100% !important;
  } */
   .mapping_timeline li{
      border-left: none !important;
   }
  [dir=rtl] .mapping_timeline li{
      border-right: none !important;
   }
   .program_fields .select2,
   .faculty_fields .select2,
   .degree_fields .select2,
   .language_fields .select2,
   .semester_fields .select2,
   .academic_years_fields .select2,
   .country_fields .select2{
      display: none;
   }
   /* .program_fields .select2 .selection,
   .faculty_fields .select2 .selection,
   .degree_fields .select2 .selection,
   .language_fields .select2 .selection,
   .semester_fields .select2 .selection,
   .academic_years_fields .select2 .selection,
   .country_fields .select2 .selection{
      width: 100%;
   } */
  .information_icon{
      position: absolute;
      top: -16px;
      padding: 5px;
      background: var(--bs-light-theme-second-color);
      border-radius: 5px;
      inset-inline-end: 10px;
      color: #fff;
      border: none;
  }
  .lead_file{
      position: relative;
      padding: 10px !important;
  }

  .lead_file .hover {
      position: absolute;
      width: 100%;
      height: 100%;
      display: flex; /* Keep display flex for alignment */
      align-items: center;
      justify-content: center;
      background: rgba(0, 0, 0, 0.5);
      inset-inline-start: 0;
      border-radius: 6px;

      /* Start hidden */
      opacity: 0;
      visibility: hidden;
      transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
  }

  .lead_file:hover .hover {
      /* Show the element on hover */
      opacity: 1;
      visibility: visible;
  }
  .education_block{
      border: 1px solid #e6e6e8;
      border-inline-start: 5px solid var(--bs-primary);
      border-radius: 8px;
  }
  .education_block2{
      border: 1px solid #e6e6e8;
      border-inline-start: 5px solid var(--bs-light-theme-second-color-hover);
      border-radius: 8px;
  }
  .education_block3{
      border: 1px solid #e6e6e8;
      border-inline-start: 5px solid #28c76f;
      border-radius: 8px;
  }
  .education_block_info{
      border: 1px solid #e6e6e8;
      border-inline-start: 5px solid #00bad1;
      border-radius: 8px;
  }
  .dropdown-menu.custom_height{
      max-height: calc(100vh - 200px);
      overflow: auto;
  }

  /**/
  .app-academy .app-academy-img-height {
    height: 130px;
  }

  @media (min-width: 768px) {
    .app-academy .app-academy-md-25 {
      width: 25%;
    }
    .app-academy .app-academy-md-50 {
      width: 50%;
    }
    .app-academy .app-academy-md-80 {
      width: 80%;
    }
  }
  @media (min-width: 576px) {
    .app-academy .app-academy-sm-40 {
      width: 40% !important;
    }
    .app-academy .app-academy-sm-60 {
      width: 60% !important;
    }
  }
  @media (min-width: 1200px) {
    .app-academy .app-academy-xl-100 {
      width: 100% !important;
    }
    .app-academy .app-academy-xl-100 {
      width: 100% !important;
    }
  }

  .student-img-wrapper{
    padding: 10px;
    background: rgb(112 100 236 / 22%);
  }
  .student_main_card{
    padding-bottom:150px !important;
  }
  .student_nav_align{
    margin-top: -160px !important;
  }
  .student_nav_align li button {
    /* background-color: transparent !important;
    border: 1px solid var(--bs-primary); */
    color: var(--bs-primary) !important;
    box-shadow: none !important;
  }
  .student_nav_align li button.active {
    background-color: transparent !important;
    border: 1px solid var(--bs-primary);
    color: var(--bs-primary) !important;
    box-shadow: none !important;
  }
  .card-widget-1 h4{
    font-size: 20px;
  }
  .preview_attachments{
    display: flex;
    align-items: center;
  }
  .preview_attachments img{
    max-width: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: 20px;
    margin: auto;
  }
  .preview_attachments iframe{
    max-width: 100%;
    width: 100%;
    min-height: 500px;
    object-fit: cover;
    border-radius: 10px;
    margin: auto;
  }

  .col-lg-3:nth-child(4n) .card-widget-1 {
      border-right: none !important;
  }

  /* For right-to-left (RTL) layouts (Arabic): remove border-left for the last column */
  html[dir="rtl"] .col-lg-3:nth-child(4n) .card-widget-1 {
      border-left: none !important;
  }


.status-default {
  background-color: rgba(158, 158, 158, 0.6) !important;
  color: #545454 !important;
}
.status-awaiting-app-fees {
  background-color: rgba(255, 152, 0, 0.6) !important;
  color: #a06207 !important;
}
.status-fees-verification {
  background-color: rgba(255, 235, 59, 0.6) !important;
  color: #9f9325 !important;
}
.status-pending-review {
  background-color: rgba(33, 150, 243, 0.6) !important;
  color: #11334f !important;
}
.status-missing-doc,
.status-missing-document {
  /* background-color: rgba(229, 57, 53, 0.6) !important;  */
  background-color: rgba(244, 67, 54, 0.6) !important;
  color: #a12117 !important;
}
.status-review-missing-doc {
  background-color: rgba(156, 39, 176, 0.6) !important;
  color: #4f005c !important;
}
.status-rejected,
.status-reject {
  background-color: #d32f2f !important;
  color: #fff !important;
}
.status-quota-full {
  background-color: rgba(96, 125, 139, 0.6) !important;
  color: #465b65 !important;
}
.status-awaiting-conditional {
  background-color: rgba(139, 195, 74, 0.6) !important;
  color: #406615 !important;
}
.status-awaiting-deposit {
  background-color: rgba(255, 87, 34, 0.6) !important;
  color: #9c300e !important;
}
.status-deposit-verification {
  background-color: rgba(255, 193, 7, 0.6) !important;
  color: #876603 !important;
}
.status-awaiting-final {
  background-color: rgba(67, 160, 71, 0.6) !important;
  color: #173719 !important;
}
.status-awaiting-final-acceptance{
  background-color: rgb(64 102 66 / 60%) !important;
  color: #173719 !important;
}
.status-completed {
  background-color: rgb(56, 142, 60) !important;
  color: #fff !important;
}
.status-app-fees-verification{
  background-color: rgba(255, 193, 7, 0.6) !important;
  color: #876603 !important;
}
.status-awaiting-conditional-acceptance{
  background-color: rgb(64 102 66 / 60%) !important;
  color: #173719 !important;
}
.status-awaiting-deposit-payment{
  background-color: rgb(64 102 66 / 60%) !important;
  color: #173719 !important;
}
.status-deposit-payment-verification{
  background-color: rgba(255, 193, 7, 0.6) !important;
  color: #876603 !important;
}

/* Lightbox Overlay */
.lightbox-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

/* Lightbox Content */
.lightbox-content {
    position: relative;
    max-width: 90%;
    max-height: 90%;
    border-radius: 10px;
    padding: 10px;
}

.lightbox-content img {
    width: 100%;
    max-width: 100%;
    object-fit: cover;
}

/* Close Button */
.lightbox-content .close-lightbox {
    position: absolute;
    top: -15px;
    right: -15px;
    font-size: 20px;
    cursor: pointer;
    background: #fff;
    border-radius: 10%;
    padding: 5px 10px;
}
#lightbox_image .modal-body img{
  max-width: 100%;
  width: 100%;
  object-fit: contain;
  border-radius: 8px;
}
#lightbox_image .modal-body iframe{
  max-width: 100%;
  width: 100%;
  min-height: 500px;
  object-fit: contain;
  border-radius: 8px;
}


.apexcharts-legend-text,
.apexcharts-text tspan,
.apexcharts-pie-label, .apexcharts-datalabels, .apexcharts-datalabel, .apexcharts-datalabel-label, .apexcharts-datalabel-value {
  font-family: 'Alexandria', 'sans-serif' !important;
}
.timeline .timeline-item.new_item{
  border: 1px solid;
  border-radius: 8px;
  padding: 10px 5px;
  padding-left: 1.4rem;
  /* background: #fff0e1; */
  color: #ff9f43 !important;
}

.timeline .timeline-item.new_item h6,
.timeline .timeline-item.new_item small{
  color: #ff9f43 !important;
}
.list-group-item.new_item {
    background-color: rgba(var(--bs-primary-rgb),0.1);
    color: var(--bs-primary);
}

/*upload file in application*/
.custom-file-upload {
    position: relative;
    display: inline-block;
}

/* Hide the default file input */
#uploadFile {
    position: absolute;
    opacity: 0;
    z-index: -1;
}

/* Style the custom label */
.custom-label {
    display: inline-block;
    padding: 10px 20px;
    background-color: #007bff; /* Button background color */
    color: white; /* Text color */
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
}

.custom-label:hover {
    background-color: #0056b3; /* Hover color */
}
.nav-tabs.widget-nav-tabs.attachments .nav-link{
  width: auto !important;
  min-width: 100px;
}
.ai_alert .btn-label-warning.active{
  border-color: #ff9f43 !important;
}
.bg-gradient-custom{
  background:linear-gradient(45deg, #7367f0, #b9b3f8) !important;
}

/*slider files*/

.attachments-wrapper {
    max-width: 100%;
    overflow-x: hidden; /* Hide native scrollbar */
    position: relative; /* Required for absolute positioning of arrows */
}

.nav.nav-tabs.widget-nav-tabs.attachments {
    display: flex;
    flex-wrap: nowrap;
    margin: 0;
    padding: 0;
    list-style: none;
    overflow-x: hidden !important; /* Add this to the actual list */
    scroll-behavior: smooth; /* Smooth scrolling */
    padding-inline-start: 40px;
    padding-inline-end: 40px;
}
.attachments-carousel .carousel-nav {
    position: absolute;
    top: 42%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.2);
    color: white;
    border: none;
    /* border-radius: 50%; */
    width: 40px;
    height: 80%;
    cursor: pointer;
    z-index: 10;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
    transition: opacity 0.2s, background-color 0.2s;
}

.attachments-carousel  .carousel-nav.disabled {
    background-color: rgba(0, 0, 0, 0.3); /* Dimmed color for disabled state */
    color: rgba(255, 255, 255, 0.5);
    cursor: not-allowed;
    pointer-events: none;
}

.attachments-carousel .carousel-nav.prev {
    left: 0;
    /* margin-left: -20px; */
}

.attachments-carousel .carousel-nav.next {
    right: 0;
    /* margin-right: -20px; */
}

/* Hide arrows initially if not required */
.attachments-carousel .carousel-nav.d-none {
    display: none;
}
.attachments .nav-item.new_item a{
    background-color: #f2d6c0 !important;
    color: var(--bs-light-theme-second-color-hover) !important;
    border-color:var(--bs-light-theme-second-color-hover) !important ;
}
.attachments .nav-item.new_item h6.tab-widget-title{
    color: var(--bs-light-theme-second-color-hover) !important;
}
/*statistics*/
html[dir="rtl"]  #mostRegPrograms{
  direction: rtl !important;
  text-align: right !important;
}

/*custom radio buttons in approvements*/
/* .custom_radio .form-row {
    background: #ffffff;
    border-radius: 50px;
    height: 40px;
    margin: 10px;
    overflow: hidden;
    position: relative;
    width: 150px;
}
.custom_radio .form-input {
    -webkit-appearance: none;
    appearance: none;
}

.custom_radio .form-input::before {
    content: '';
    cursor: pointer;
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
}

.custom_radio .form-input:checked::before {
    background: #21209c;
}

.custom_radio .form-input::after {
    content: '';
    cursor: pointer;
    height: 15px;
    border-radius: 50px;
    border: 4px solid #21209c;
    left: 10%;
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    width: 15px;
}

.custom_radio .form-input:checked::after {
    border: 4px solid #ffffff;
}

.custom_radio .form-label {
    color: #21209c;
    font-size: 1.1rem;
    margin-left: 10px;
    z-index: 1;
    position: absolute; This is an alternative option
}

.custom_radio .form-input:checked ~ .form-label {
    color: #ffffff;
} */
.mapping_wrapper{
  max-height: 150px;
  padding: 4px;
  border: 1px solid #ccc;
  border-radius: 10px;
  overflow: auto;
}

  /* .mapping_wrapper{

  } */

  .select2-container + .invalid-feedback {
    display: block; /* Ensure the feedback is visible */
    margin-top: 0.25rem;
    font-size: 0.875em;
    color: #dc3545;
}
.position-relative.is-valid .select2-selection {
    border-color: #28a745; /* Green border for valid state */
}

.position-relative.is-invalid .select2-selection {
    border-color: #dc3545; /* Red border for invalid state */
}

/*custom validation */
input.invalid-info,
textarea.invalid-info{
  border-color: #00bad1 !important;
}
.invalid-info{
  color: #00bad1;
  width: 100%;
  margin-top: 0.25rem;
  font-size: 13px;
}
input.invalid-warning,
textarea.invalid-warning{
  border-color: #ff9f43 !important;
}
.invalid-warning{
  color: #ff9f43;
  width: 100%;
  margin-top: 0.25rem;
  font-size: 13px;
}

.custom-accordion .accordion-item.active .accordion-header,
.custom-accordion .accordion-item.active .accordion-header .accordion-button {
  background-color: rgba(var(--bs-primary-rgb),0.1);
}

.custom-accordion .accordion-item.active .accordion-header {
  padding-left: 5px;
  padding-right: 5px;
}
.permissions_tabs .nav-link.active {
  background-color: rgba(var(--bs-primary-rgb),0.1) !important;
  color: var(--bs-primary) !important;
}
#global-loader {
  position: fixed;
  z-index: 50000;
  /* background: #ffffff; */
  background: rgba(0, 0, 0, 0.5);
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  height: 100%;
  width: 100%;
  margin: 0 auto;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}


.logo-loader {
  position: relative;
  display: flex;
  width: 200px;
  align-items: center;
  justify-content: center;
  top:-4%;
}

.logo-gray,
.logo-color {
  display: block;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

.logo-gray {
  filter: brightness(0.5);
}

.logo-color {
  clip-path: inset(0 0 100% 0);
  /* Initially hidden */
  animation: revealColor 6s linear infinite;
}

@keyframes revealColor {
  0% {
    clip-path: inset(100% 0 0 0);
  }

  100% {
    clip-path: inset(0 0 0% 0);
  }
}
.side-icon-chat{
  position: fixed;
  top: 0;
  right: 0;
  height: 100%;
  z-index: 99999999;
}
.side-icon-chat .icon-chat{
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  background: var(--bs-light-theme-second-color);
  color: #fff;
  padding: 10px;
  border-radius: 10px 0px 0px 10px;
  cursor: pointer;
}
.side-icon-chat .icon-chat:hover{
  background: var(--bs-light-theme-second-color-hover);
}
html[dir="rtl"] .side-icon-chat{
  right: initial;
  left: 0;
}
html[dir="rtl"] .side-icon-chat .icon-chat{
  border-radius: 0px 10px 10px 0px;
  right: initial;
  left: 0;
}

  .conditions_table{
    table-layout: fixed;
    width: 100%;
  }
  .conditions_table tbody td{
    padding: 10px 5px !important;
  }
  .notification-wrapper {
    position: fixed;
    bottom: 0;
    right: 0;
    z-index: 999999;
    width: 100%;
    margin: auto;
  }


.program_in_social{
  width: 80% !important;
}
.chart_style{
  width: 60% !important;
  aspect-ratio: 1 !important;
  height: auto !important;
}
.legend_wrapper{
  width: 100%;
  margin-top: 20px; 
  max-height: 220px; 
  overflow-y: auto; 
  padding: 10px; 
  border: 1px solid #e0e0e0; 
  border-radius: 6px; 
  background: #f9f9f9;
}
.legend-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 5px;
  margin-bottom: 10px;
}
.legend-item .legend-color{
  width: 15px;
  height: 15px;
}
.legend-item .legend-value,
.legend-item{
  cursor: pointer;
}
.legend-item.muted .legend-value,
.legend-item.muted{
  text-decoration: line-through;
}
[data-column].col-hidden {
  display: none !important;
}
th[data-column].col-hidden,
td[data-column].col-hidden {
  display: none !important;
}
.wrapper_columns .form-check-input{
  display: block !important;
}
.menu-inner > .menu-item:last-child{
  padding-inline-end: 60px !important;
}

/* exception page */
.misc-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: calc(100vh - 3rem);
  text-align: center;
}

.misc-bg-wrapper {
  position: relative;
}
.misc-bg-wrapper img {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  z-index: -1;
}

@media (max-width: 1499.98px) {
  .misc-bg-wrapper img {
    height: 250px;
  }
  .misc-under-maintenance-bg-wrapper img {
    height: 270px !important;
  }
}

.approvements_list{
  max-height: 600px;
  overflow: auto;
}
.current_page,
.current_page:hover{
  color: #fff !important;
  background-color: var(--bs-light-theme-second-color) !important;
  border-color: var(--bs-light-theme-second-color) !important;
  outline: none !important;
  box-shadow: none !important;
}
.all_pages,
.all_pages:hover{
  color: var(--bs-light-theme-second-color) !important;
  border: 1px solid var(--bs-light-theme-second-color) !important;
  background: transparent !important;
}